var __spreadArray = (this && this.__spreadArray) || function (to, from) {
    for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
        to[j] = from[i];
    return to;
};
import { crossBrowser } from '../constants';
import { defaultStyleList } from './default';
import { bounceStyleList } from './bounce';
var styleList = __spreadArray(__spreadArray([], defaultStyleList), bounceStyleList);
export default function makeKeyframes() {
    var keyframes = crossBrowser.map(function (keyframe) {
        var animation = styleList.map(function (style) {
            return style(keyframe);
        });
        return animation.join(' ');
    });
    return keyframes.join(' ');
}
//# sourceMappingURL=make.keyframes.js.map